petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkVertexSetMatrix

Sets user-provided Jacobian matrix for this vertex to the network

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkVertexSetMatrix(DM dm,PetscInt p,Mat J[])

Not Collective Many br

### Input Parameters

| dm | - The DMNetwork object Many br
| p | - the vertex point Many br
| J | - array of Jacobian (size = 2*(num of supporting edges) + 1) submatrices for this vertex point: Many brJ[0]: this vertex Many brJ[1+2*i]: i-th supporting edge Many brJ[1+2*i+1]: i-th connected vertex Many br

Many br

### See Also

DMNetworkEdgeSetMatrix

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages